petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscOptionsMonitorCancel

Clears all monitors for a PetscOptions object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsMonitorCancel(void)

Not collective

### Options Database Key

-options_monitor_cancel -Cancels all monitors that have been hardwired into a code by calls to PetscOptionsMonitorSet(), but does not cancel those set via the options database.

### Keywords

PetscOptions, set, monitor

### See Also

PetscOptionsMonitorDefault(), PetscOptionsMonitorSet()

Level:intermediate
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages